%origin_of_the_volatile_envelopes_distill_atmosphere
%Setting phi = 1 (ignoring non-ideal solubility effects) for the
%distillation code
%Ignoring incorporation of volatiles into the solid mantle.

display_only = 1;

mai_sensitivity_test = 'no'; %magma-atmosphere interaction sensitivity test

ntrials = 200;

if display_only == 0

if strcmp(mai_sensitivity_test,'yes') == 1  
    load origin_of_the_volatile_elements_v15_output_mai_sensitivity_test
    m_magma = mai_interaction_fraction.*4e24*planet_mass_list; %Earth mantle mass fraction, complete melting of magma
else
    load origin_of_the_volatile_elements_v15_output
    m_magma = 4e24*planet_mass_list; %Earth mantle mass fraction, complete melting of magma
end
%By default the v14 code will output the "add water to Fe" case. Check the
%output is the "add H2 to FeO" case:
if mu(1,round(end*2/3),1,1)>mu(1,1,1,1);error('we need the add-H2 case, not the add-H2O case');end

%mH2total(mi,Pi,wi,:) %mi is planet mass. Pi is pressure index. wi is
%wustite index. Last index is Temperature {2000, 2500, 3000}K

%dl prefix on variables = 'distill' (this code)

%Psuedocode:
%Remove the atmosphere (Adapted from
%zombie_atmospheres_on_rocky_exoplanets_v5.m)
%Outgas fresh atmosphere 
%iterate for mu_bar (neccessary because the solubility law for H2O is
%non-linear)
%NO MAGMA REDOX STATE CHANGES PERMITTED

nPressures = 2e3;

P_atm_list = logspace(log10(1e4),log10(1e11),nPressures); %Pa; 

if exist('envelope_base_pressure_list_add_H2','var')==0;error;end
%envelope_base_pressure_list_add_H2 =  [1e0,1e2,2e2,3e2,6e2,1e3:2e3:2.5e4,3e4:5e3:5e4];%8e4];%,7e4,7.5e4]%,1e5,2e5]%,2.5e4,3e4]%.5e4];%2e4] %bars

pi_indices_to_use = [5,6,7,8,10,13,16,18,22];


mi=1; % planet mass index

Ti_to_use = 2;

for Ti = Ti_to_use;%,3];

for wi = [1:6]; % wustite index

    mplEarths = planet_mass_list(mi);
    g = eta.*g_Earth.*mplEarths./((mplEarths^0.27).^2); %assuming Rpl \propto (mplEarths)^0.27 (Valencia et al. 2006)
  Apl = A_Earth*(mplEarths^0.27)^2; %area of the top of the magma ocean in m^2
for pi = pi_indices_to_use; %cycle through the post-accretion, pre-gas-loss pressures.
    
          start = max(find(P_atm_list < envelope_base_pressure_list_add_H2(pi)*1e5)); %index
           dlH2Oenv(mi,pi,wi,Ti,start) = mH2Oenv(mi,pi,wi,Ti); 
           dlH2env(mi,pi,wi,Ti,start) = mH2env(mi,pi,wi,Ti); 
           atm_moles = molesH2Oenv(mi,pi,wi,Ti) + molesH2env(mi,pi,wi,Ti);
           dlmu(mi,pi,wi,Ti,start) =   (dlH2Oenv(mi,pi,wi,Ti,start) + dlH2env(mi,pi,wi,Ti,start))./atm_moles;
           
           %Force the magma H2O content to be consistent with the atmosphere H2O
           %content (Schaefer et al. 2016 ApJ solubility rule)s:
           mH2Omagma(mi,pi,wi,Ti) = 0.01.*((mH2Oenv(mi,pi,wi,Ti).*g./Apl.*dlmu(mi,pi,wi,Ti,start)./0.018)./24.15e6).^0.74.*m_magma(mi);

           
           dlH2Omagma(mi,pi,wi,Ti,start) = mH2Omagma(mi,pi,wi,Ti);          
           dlH2magma(mi,pi,wi,Ti,start) = mH2magma(mi,pi,wi,Ti);  
           dlH2oceanenv(mi,pi,wi,Ti,start) = mH2total(mi,pi,wi,Ti);   
           dlP(mi,pi,wi,Ti,start) = envelope_base_pressure_list_add_H2(pi).*1e5;
           
           implied_solubility_of_H2_in_magma(mi,pi,wi,Ti) = mH2magma(mi,pi,wi,Ti)./(mH2env(mi,pi,wi,Ti).*g./Apl.*(mu(mi,pi,wi,Ti)/2).*m_magma(mi));
           implied_fr_of_H2O_in_magma = mH2Omagma(mi,pi,wi,Ti)./m_magma(mi);

           s_H2 = implied_solubility_of_H2_in_magma(mi,pi,wi,Ti);
           
       %Main loop    
       for lossi = (start-1):(-1):1 %(atmospheric) loss index. gradually reduce the pressure.
           if rem(lossi,50)==0;disp({Ti,wi,pi,lossi});end
           
           dlP(mi,pi,wi,Ti,lossi) = P_atm_list(lossi);
           dlH2env(mi,pi,wi,Ti,lossi) =  dlH2env(mi,pi,wi,Ti,lossi+1).* dlP(mi,pi,wi,Ti,lossi)./dlP(mi,pi,wi,Ti,lossi+1);
          dlH2Oenv(mi,pi,wi,Ti,lossi) = dlH2Oenv(mi,pi,wi,Ti,lossi+1).* dlP(mi,pi,wi,Ti,lossi)./dlP(mi,pi,wi,Ti,lossi+1);
          %Repartition assuming dlmu is the same after (not true!)
           atm_moles = dlH2Oenv(mi,pi,wi,Ti,lossi)./0.018 + dlH2env(mi,pi,wi,Ti,lossi)./0.002;
           dlmu(mi,pi,wi,Ti,lossi) =   (dlH2Oenv(mi,pi,wi,Ti,lossi) + dlH2env(mi,pi,wi,Ti,lossi))./atm_moles;              
           CH2O =  dlH2Oenv(mi,pi,wi,Ti,lossi)  + dlH2Omagma(mi,pi,wi,Ti,lossi+1); %CH2O = total H2O reservoir
            CH2 =   dlH2env(mi,pi,wi,Ti,lossi)  + dlH2magma(mi,pi,wi,Ti,lossi+1); %CH2 = total H2 reservoir
           
          trial_fr_H2O_og = logspace(-6,-1,ntrials);
          %For the full range of trial outgassings
          
          trialH2Oenv = dlH2Oenv(mi,pi,wi,Ti,lossi) + trial_fr_H2O_og.*dlH2Omagma(mi,pi,wi,Ti,lossi+1);
          %Solve for *H2* outgassed for each of these trial outgassings
          %H2 solubility is linear
          
          for tri = 1:length(trialH2Oenv)
              es = trialH2Oenv(tri);
              %Eqns. S9 and S11 from Kite & Barnett PNAS 2020:
              f = @(ep)ep + ep.*((es+ep)./(es/0.018 + ep/0.002)).*(g./Apl.*m_magma(mi)*s_H2)./0.002 - CH2;
              z1(tri) = fzero(f,1.5*dlH2env(mi,pi,wi,Ti,lossi)); %envelope H2
              z2(tri) = fzero(f,0); %envelope H2
              z(tri) = max(z1(tri),z2(tri));
          end
          
          atm_moles = trialH2Oenv./0.018 + z./0.002;
          trialmu = (trialH2Oenv + z)./atm_moles;
            
          trialCH2O = trialH2Oenv + (0.01.*((trialH2Oenv.*g./Apl.*trialmu./0.018)./24.15e6).^(0.74)).*m_magma(mi); %H2O solubility from Schaefer et al. ApJ 2016
          
           %mu_atm can increase OR DECREASE
          og_index = interp1(real(trialCH2O),[1:ntrials],CH2O);    
          og_fr = 10.^interp1([1:length(trial_fr_H2O_og)],log10(trial_fr_H2O_og),og_index); 
          
          %Update reservoirs
          dl_og_H2O(mi,pi,wi,Ti,lossi) = og_fr.* dlH2Omagma(mi,pi,wi,Ti,lossi+1);
          dl_og_H2(mi,pi,wi,Ti,lossi)  = (interp1([1:length(trial_fr_H2O_og)], z,og_index) - dlH2env(mi,pi,wi,Ti,lossi));
          
          dlH2magma(mi,pi,wi,Ti,lossi)   = dlH2magma(mi,pi,wi,Ti,lossi+1)  ...
                                            - dl_og_H2(mi,pi,wi,Ti,lossi);
          dlH2env(mi,pi,wi,Ti,lossi)     = interp1([1:length(trial_fr_H2O_og)], z,og_index);
          dlH2Oenv(mi,pi,wi,Ti,lossi)    = dlH2Oenv(mi,pi,wi,Ti,lossi)     + dl_og_H2O(mi,pi,wi,Ti,lossi);
          dlH2Omagma(mi,pi,wi,Ti,lossi)  = dlH2Omagma(mi,pi,wi,Ti,lossi+1) - dl_og_H2O(mi,pi,wi,Ti,lossi);

          dlP(mi,pi,wi,Ti,lossi) = (dlH2env(mi,pi,wi,Ti,lossi) + dlH2Oenv(mi,pi,wi,Ti,lossi)).*g./Apl;

       
       end
end
end
end

if strcmp(mai_sensitivity_test,'yes')==1
    save results_of_origin_of_the_volatile_envelopes_distill_atmosphere_v3_mai_sensitivity_test   
else
    save results_of_origin_of_the_volatile_envelopes_distill_atmosphere_v3
end

end

% ************************************ GRAPHICS ******************************************

if strcmp(mai_sensitivity_test,'yes')==1
    load results_of_origin_of_the_volatile_envelopes_distill_atmosphere_v3_mai_sensitivity_test   
    pi_indices_to_use = [5,6,7,8,10,13,16,18];
else
    load results_of_origin_of_the_volatile_envelopes_distill_atmosphere_v3
    if exist('pi_indices_to_use','var') == 0; pi_indices_to_use = [5,6,7,8,10,13,16,18,22]; end
end

%if exist('pi_indices_to_use','var') == 0; pi_indices_to_use = [5,6,7,8,10,13,15]; end


load turbet_2020_a_and_a_output PH2Oinbars t20xh2o z_atmosphere

pi = 8; wi = 5;


start = max(find(P_atm_list < envelope_base_pressure_list_add_H2(pi)*1e5)); %index

mypressures = squeeze(dlH2Oenv(mi,pi,wi,Ti,1:start) + dlH2env(mi,pi,wi,Ti,1:start)) ...
    ./Apl.*g;


mass_removed = mH2total(mi,pi,wi,Ti)-squeeze(dlH2env(mi,pi,wi,Ti,1:start)+dlH2magma(mi,pi,wi,Ti,1:start)) + ...
    (max(dlH2Oenv(mi,pi,wi,Ti,1:start))+max(dlH2Omagma(mi,pi,wi,Ti,1:start))) ...
-squeeze(dlH2Oenv(mi,pi,wi,Ti,1:start)+dlH2Omagma(mi,pi,wi,Ti,1:start));

H2Op = P_atm_list(1:start)'.*squeeze(dlH2Oenv(mi,pi,wi,Ti,1:start)./(dlH2Oenv(mi,pi,wi,Ti,1:start) + dlH2env(mi,pi,wi,Ti,1:start))).*(squeeze(dlmu(mi,pi,wi,Ti,1:start))./0.018);
H2p =  P_atm_list(1:start)'.*squeeze(dlH2env(mi,pi,wi,Ti,1:start)./(dlH2Oenv(mi,pi,wi,Ti,1:start) + dlH2env(mi,pi,wi,Ti,1:start))).*(squeeze(dlmu(mi,pi,wi,Ti,1:start))./0.002);

myradius =      interp1([0 PH2Oinbars],[0 z_atmosphere],mypressures./1e5);
myradiusH2O =   interp1([0 PH2Oinbars],[0 z_atmosphere],H2Op./1e5);

load_lopez_fortney_2014

H2radii = squeeze(lopezfortney2014_table3_dense(3, find(mplEarths==lopezfortney2014_dense_masses), :));
H2datm = H2radii - (mplEarths.^0.245); %exponent chosen by inspection of coldest data in table

myradiusH2 = squeeze(interp1(env_mass_percent,H2datm, ...
    100*squeeze((dlH2env(mi,pi,wi,Ti,1:start)))./(mplEarths*6e24),'linear','extrap'));

% ************************************ RADII FIGURE ******************************************

figure;plot(mass_removed,5.^0.27+myradius./6378000);title('H2Oonly EOS blue')%, H2env red')
hold on
plot(mass_removed,5.^0.27+(myradiusH2O+myradiusH2)./6378000);title('H2Oonly EOS blue')%, H2env red')
plot(mass_removed,myradiusH2);title('H2Oonly EOS blue')%, H2env red')
line([1,max(mass_removed)],[5.^0.27 5.^0.27],'color','k')

         figure(2);plot(real(trialCH2O));hold on;
          line([0 200],[CH2O CH2O]);grid minor

          
          figure;
          start = max(find(squeeze(dlmu(mi,pi,wi,Ti,:))>0));
          
          plot(P_atm_list(1:start),squeeze(dlmu(mi,pi,wi,Ti,1:start)));title('mu')

% ************************************ RESERVOIRS FIGURE ******************************************

figure; 

plot(P_atm_list(1:start),squeeze(dlH2Oenv(mi,pi,wi,Ti,1:start)));title('H2Oenv blue, H2env red')
hold on;plot(P_atm_list(1:start),squeeze(dlH2env(mi,pi,wi,Ti,1:start)));
plot(P_atm_list(1:start),squeeze(dlH2env(mi,pi,wi,Ti,1:start)+dlH2Oenv(mi,pi,wi,Ti,1:start)),'linestyle','-.','color','k');
plot(P_atm_list(1:start),P_atm_list(1:start)./g.*Apl,'linestyle','--','color','k');

% ************************************ FIGURE 1 IN PAPER ******************************************


figure; %'Megafigure' for Figure 1 in paper
subplot(2,1,1)
yyaxis left ;
%Patches for regimes
    crossi = min(find(squeeze(dlmu(mi,pi,wi,Ti,1:start))<0.01));
    mass_removed_at_mu10_temp = mass_removed(crossi);
patch([0 mass_removed_at_mu10_temp mass_removed_at_mu10_temp 0],[10^9.66 10^9.66 1e10 1e10],'b','linestyle','none')
hold on
xlim([0 3.5e23])
    bar01 = interp1(P_atm_list(1:start)',mass_removed,1e4);
patch([mass_removed_at_mu10_temp bar01 bar01 mass_removed_at_mu10_temp],[10^9.66 10^9.66 1e10 1e10],[0 .5 0],'linestyle','none','facealpha',0.5)
    xlims = get(gca,'xlim');
patch([bar01 xlims(2) xlims(2) bar01],[10^9.66 10^9.66 1e10 1e10],'r','linestyle','none','facealpha',0.5)

plot(mass_removed, ...
    P_atm_list(1:start)'.*squeeze(dlH2Oenv(mi,pi,wi,Ti,1:start)./(dlH2Oenv(mi,pi,wi,Ti,1:start) + dlH2env(mi,pi,wi,Ti,1:start))).*(squeeze(dlmu(mi,pi,wi,Ti,1:start))./0.018),'linewidth',2,'color',[0 .5 0]);
plot(mass_removed, ...
        P_atm_list(1:start)'.*squeeze(dlH2env(mi,pi,wi,Ti,1:start)./(dlH2Oenv(mi,pi,wi,Ti,1:start) + dlH2env(mi,pi,wi,Ti,1:start))).*(squeeze(dlmu(mi,pi,wi,Ti,1:start))./0.002),'linewidth',2,'color','b');
plot(mass_removed,...
    P_atm_list(1:start),'k','linewidth',2);
xlabel('mass removed (kg)');ylabel('atmospheric pressure (Pa)')
set(gca,'fontsize',14)
set(gca,'ytick',[1e5,1e6,1e7,1e8,1e9,1e10])

yyaxis right; 
plot(mass_removed,squeeze(1e3.*dlmu(mi,pi,wi,Ti,1:start)),'linewidth',2,'color','r');ylabel({'atmospheric mean','molecular weight, \mu_{atm}'})
scatter(max(mass_removed),squeeze(1e3.*dlmu(mi,pi,wi,Ti,1)),100,'ro','filled')
yyaxis left; set(gca,'yscale','log'); ylim([1e5 1e10])
set(gca,'fontsize',14,'tickdir','out');title('ATMOSPHERE                                                     ','fontsize',20)
ax = gca;
ax.YAxis(1).Color = 'k';
toppanelxlim = get(gca,'xlim')

subplot(2,1,2)
%linearizing the last step of squeezing the mantle dry (which is the first
%step because we downwards-step the pressure)
plot([squeeze(dlH2Omagma(mi,pi,wi,Ti,1))+max(mass_removed);mass_removed], ...
    [1e16;squeeze(dlH2Omagma(mi,pi,wi,Ti,1:start))],'linewidth',2','color',[0 .5 0]);
hold on;plot(mass_removed,squeeze(dlH2magma(mi,pi,wi,Ti,1:start)),'color','b','linewidth',2,'linestyle','--');
set(gca,'yscale','log');ylim([1e19 1e24])
ylabel({'dissolved-in-magma','reservoir mass (kg)'}); xlabel('mass removed (kg)');set(gca,'fontsize',14,'tickdir','out')
set(gcf,'color','white');title('INTERIOR                                                            ','fontsize',20)
set(gca,'xlim',toppanelxlim)
set(gca,'ytick',[1e19,1e20,1e21,1e22,1e23,1e24])


% ************************************ PREP WORK FOR SUBSEQUENT FIGURES ******************************************


%Info needed for grid scan figures
for Ti = Ti_to_use; %,3];
for wi = [1:6]; 
    mi = 1;
    mplEarths = planet_mass_list(mi);
    g = eta.*g_Earth.*mplEarths./((mplEarths^0.27).^2); %assuming Rpl \propto (mplEarths)^0.27 (Valencia et al. 2006)
  Apl = A_Earth*(mplEarths^0.27)^2; %area of the top of the magma ocean in m^2
for pi = pi_indices_to_use;%:16;%4:length(envelope_base_pressure_list_add_H2) %cycle through the post-accretion, pre-gas-loss pressures.
    start = max(find(P_atm_list < envelope_base_pressure_list_add_H2(pi)*1e5)); %index

    mass_removed_temp = mH2total(mi,pi,wi,Ti)-squeeze(dlH2env(mi,pi,wi,Ti,1:start)+dlH2magma(mi,pi,wi,Ti,1:start)) + ...
    (max(dlH2Oenv(mi,pi,wi,Ti,1:start))+max(dlH2Omagma(mi,pi,wi,Ti,1:start))) ...
-squeeze(dlH2Oenv(mi,pi,wi,Ti,1:start)+dlH2Omagma(mi,pi,wi,Ti,1:start));

    mass_removed_grid(wi,pi) = max(mass_removed_temp);
    
    env_initial_mass_grid(wi,pi) = mH2env(mi,pi,wi,Ti) + mH2Oenv(mi,pi,wi,Ti);    
    
    crossi = min(find(squeeze(dlmu(mi,pi,wi,Ti,1:start))<0.01));
    mass_removed_at_mu10(wi,pi) = mass_removed_temp(crossi);

    max_miniNeptune_H2O_total_mass(wi,pi) = max(dlH2Omagma(mi,pi,wi,Ti,:) + dlH2Oenv(mi,pi,wi,Ti,:));
    max_waterworld_H2O_total_mass(wi,pi) = dlH2Omagma(mi,pi,wi,Ti,crossi) + dlH2Oenv(mi,pi,wi,Ti,crossi);
    max_waterworld_H2O_env_mass(wi,pi) = dlH2Oenv(mi,pi,wi,Ti,crossi);
    [~,halfpressurei] = min(abs(P_atm_list(crossi)/2 - P_atm_list));
    typical_waterworld_H2O_env_mass(wi,pi) = dlH2Oenv(mi,pi,wi,Ti,halfpressurei); %pressure steps downward in 5th dimension
    
    f_himu(wi,pi) = 1 - mass_removed_at_mu10(wi,pi)./mass_removed_grid(wi,pi);
    chi(wi,pi) = mass_removed_grid(wi,pi)/mass_removed_at_mu10(wi,pi);
end
end
end

figure1_fenv_initial = env_initial_mass_grid(5,8)./(planet_mass_list(mi).*6e24);

save('chi.mat','chi','pi_indices_to_use','envelope_base_pressure_list_add_H2', ...
     'env_initial_mass_grid'); 

%*******
%How much oxygen can Fe2+ --> Fe3+ take up?
a = (molesH2Omagma+molesH2Oenv)./(adjustedFeOmoles/2);
a = squeeze(a(1,pi_indices_to_use,:,Ti_to_use))';

%Doyle et al. 2020 (UCLA group) white dwarf data
deltaIW = [-2.132, -1.374, -1.262, -1.137, -0.63, -0.7, -0.493, -2.098, -0.936, -1.012, -1.209,-1.332,-1.473, -1.536,-1.397];

XFeO_WD = 10.^(deltaIW/2);

% ************************************ FIGURE 2 IN PAPER ******************************************


figure; %Figure 2 in paper
[C,h] = contourf(100.*repmat([0.52 - (([1:6]-1)*0.1+0.01)]',1,length(pi_indices_to_use)), ...
    100.*env_initial_mass_grid(:,pi_indices_to_use)./(planet_mass_list(mi).*6e24),chi(:,pi_indices_to_use), ...
    [1,1.1,1.2,1.5,2,3,4,5],'edgecolor','w')
%line([0 0.6],[mass_removed_grid(wi,pi) mass_removed_grid(wi,pi)],'color','k')
clabel(C,h,'fontsize',14,'color','w');%,'LabelSpacing',700)
hold on
dlmu(dlmu==0) = NaN;
startingmu = squeeze(nanmin(dlmu(mi,pi_indices_to_use,:,Ti,:),[],5));
[C,h] = contour(100.*repmat([0.52 - (([1:6]-1)*0.1+0.01)]',1,length(pi_indices_to_use)), ...
    100.*env_initial_mass_grid(:,pi_indices_to_use)./(planet_mass_list(mi).*6e24), ...
    1e3.*startingmu',[1:2:9],'color','w','linestyle','-.')
clabel(C,h,'fontsize',14,'color','w');%,'LabelSpacing',700)

contour(100.*repmat([0.52 - (([1:6]-1)*0.1+0.01)]',1,length(pi_indices_to_use)), ...
    100.*env_initial_mass_grid(:,pi_indices_to_use)./(planet_mass_list(mi).*6e24),...
    a,[1,1],'color','k','linewidth',2)

caxis([1 5])
xlabel('initial no-volatiles FeO content in magma (wt %)')
ylabel({'atmosphere mass fraction f_{atm}','(wt %) prior to atmosphere loss'})
set(gca,'yscale','linear')
ylim([0 1])
ylims = get(gca,'ylim'); 
set(gca,'fontsize',14);xlim([0 51])
scatter(100*0.0824,ylims(1),100,'k*','linewidth',2); 
%text(100*0.0824,ylims(1)+3e-5,{'Earth','Venus'},'fontsize',14)

scatter(0.11*100,figure1_fenv_initial*100,100,'wx','linewidth',2);

scatter(100*0.1815,ylims(1),100,'k*','linewidth',2); %text(100*0.1815,ylims(1)+3e-5,'Mars','fontsize',14)
%scatter(XFeO_WD,repmat(ylims(1)+7e-3,length(XFeO_WD),1),50,'kv') %White dwarf data
set(gcf,'color','white')
set(gca,'tickdir','out')

%********************************************************
figure %show how much H2O can FeO take up
figure;[C,h] = contour(100.*repmat([0.52 - (([1:6]-1)*0.1+0.01)]',1,length(pi_indices_to_use)), ...
    100.*env_initial_mass_grid(:,pi_indices_to_use)./(planet_mass_list(mi).*6e24),...
    a,[20,10,5,2,1,0.5],'k')
hold on
clabel(C,h,'fontsize',14)%,'LabelSpacing',700);
[C,h] = contour(100.*repmat([0.52 - (([1:6]-1)*0.1+0.01)]',1,length(pi_indices_to_use)), ...
    100.*env_initial_mass_grid(:,pi_indices_to_use)./(planet_mass_list(mi).*6e24),...
    a,[1,1],'k','linewidth',2)
clabel(C,h,'fontsize',14)%,'LabelSpacing',700);

xlim([0 51])
hold on
%line([0 0.6],[mass_removed_grid(wi,pi) mass_removed_grid(wi,pi)],'color','k')
xlabel('initial no-volatiles FeO content in magma (wt %)')
ylabel({'atmosphere mass fraction f_{atm}','(wt %) prior to atmosphere loss'})
set(gca,'yscale','linear')
ylim([0 1])
set(gca,'fontsize',14)
set(gca,'tickdir','out')
scatter(100*0.0824,ylims(1),100,'k*','linewidth',2); %text(100*0.0824,ylims(1)+3e-5,{'Earth','Venus'},'fontsize',14)
scatter(100*0.1815,ylims(1),100,'k*','linewidth',2); %text(100*0.1815,ylims(1)+3e-5,'Mars','fontsize',14)
%scatter(XFeO_WD,repmat(ylims(1)+7e-3,length(XFeO_WD),1),50,'kv') %White dwarf data
set(gcf,'color','white')
scatter(11,figure1_fenv_initial*100,100,'kx','linewidth',2);

%*********************************************
%total amount of H2O (kg) that must be removed to get from the start of the
%waterworld stage to the end of the waterworld stage
figure; 
[C,h] = contourf(100.*repmat([0.52 - (([1:6]-1)*0.1+0.01)]',1,length(pi_indices_to_use)), ...
    100.*env_initial_mass_grid(:,pi_indices_to_use)./(planet_mass_list(mi).*6e24), ...
    max_waterworld_H2O_total_mass(:,pi_indices_to_use),[0 8e22 2e23 3e23 5e23 1e24 2e24],'linecolor','w')
%line([0 0.6],[mass_removed_grid(wi,pi) mass_removed_grid(wi,pi)],'color','k')
clabel(C,h,'Color','w','fontsize',14);%,'LabelSpacing',700)
hold on
dlmu(dlmu==0) = NaN;
[C,h] = contour(100.*repmat([0.52 - (([1:6]-1)*0.1+0.01)]',1,length(pi_indices_to_use)), ...
    100.*env_initial_mass_grid(:,pi_indices_to_use)./(planet_mass_list(mi).*6e24),...
    max_miniNeptune_H2O_total_mass(:,pi_indices_to_use),[0 8e22 2e23 3e23 5e23 1e24 2e24],'color','w','linestyle','--')
caxis([0 max(max(max_waterworld_H2O_total_mass(:,pi_indices_to_use)))])
xlabel('initial no-volatiles FeO content in magma (wt %)')
ylabel({'atmosphere mass fraction f_{atm}','(wt %) prior to atmosphere loss'})
set(gca,'yscale','linear')
ylim([0 1])
ylims = get(gca,'ylim'); 
set(gca,'fontsize',14);xlim([0 51])
scatter(100*0.0824,ylims(1),100,'k*','linewidth',2); %text(100*0.0824,ylims(1)+3e-5,{'Earth','Venus'},'fontsize',14)
scatter(11,figure1_fenv_initial*100,100,'wx','linewidth',2);
scatter(100*0.1815,ylims(1),100,'k*','linewidth',2); %text(100*0.1815,ylims(1)+3e-5,'Mars','fontsize',14)
%scatter(XFeO_WD,repmat(ylims(1)+7e-3,length(XFeO_WD),1),50,'kv') %White dwarf data
set(gcf,'color','white')
set(gca,'tickdir','out')

%*********************************************
%median waterworld atmosphere mass
figure; 
[C,h] = contourf(100.*repmat([0.52 - (([1:6]-1)*0.1+0.01)]',1,length(pi_indices_to_use)), ...
    100.*env_initial_mass_grid(:,pi_indices_to_use)./(planet_mass_list(mi).*6e24), ...
    typical_waterworld_H2O_env_mass(:,pi_indices_to_use))
%line([0 0.6],[mass_removed_grid(wi,pi) mass_removed_grid(wi,pi)],'color','k')
clabel(C,h,'fontsize',14);%,'LabelSpacing',700)
hold on
dlmu(dlmu==0) = NaN;
xlabel('initial no-volatiles FeO content in magma (wt %)')
ylabel({'atmosphere mass fraction f_{atm}','(wt %) prior to atmosphere loss'})
set(gca,'yscale','linear')
ylim([0 1])
ylims = get(gca,'ylim'); 
set(gca,'fontsize',14);xlim([0 51])
scatter(100*0.0824,ylims(1),100,'k*','linewidth',2); %text(100*0.0824,ylims(1)+3e-5,{'Earth','Venus'},'fontsize',14)
scatter(11,figure1_fenv_initial*100,100,'wx','linewidth',2);
scatter(100*0.1815,ylims(1),100,'k*','linewidth',2); %text(100*0.1815,ylims(1)+3e-5,'Mars','fontsize',14)
%scatter(XFeO_WD,repmat(ylims(1)+7e-3,length(XFeO_WD),1),50,'kv') %White dwarf data
set(gcf,'color','white')
set(gca,'tickdir','out')

%*********************************************
%max waterworld atmosphere mass
figure; 
[C,h] = contourf(100.*repmat([0.52 - (([1:6]-1)*0.1+0.01)]',1,length(pi_indices_to_use)), ...
    100.*env_initial_mass_grid(:,pi_indices_to_use)./(planet_mass_list(mi).*6e24), ...
    max_waterworld_H2O_env_mass(:,pi_indices_to_use))
%line([0 0.6],[mass_removed_grid(wi,pi) mass_removed_grid(wi,pi)],'color','k')
clabel(C,h,'fontsize',14);%,'LabelSpacing',700)
hold on
dlmu(dlmu==0) = NaN;
xlabel('initial no-volatiles FeO content in magma (wt %)')
ylabel({'atmosphere mass fraction f_{atm}','(wt %) prior to atmosphere loss'})
set(gca,'yscale','linear')
ylim([0 1])
ylims = get(gca,'ylim'); 
set(gca,'fontsize',14);xlim([0 51])
scatter(100*0.0824,ylims(1),100,'k*','linewidth',2); %text(100*0.0824,ylims(1)+3e-5,{'Earth','Venus'},'fontsize',14)
scatter(0.11*100,figure1_fenv_initial*100,100,'wx','linewidth',2);
scatter(100*0.1815,ylims(1),100,'k*','linewidth',2); %text(100*0.1815,ylims(1)+3e-5,'Mars','fontsize',14)
%scatter(XFeO_WD,repmat(ylims(1)+7e-3,length(XFeO_WD),1),50,'kv') %White dwarf data
set(gcf,'color','white')
set(gca,'tickdir','out')

